/***********************************************************************

	$Id: memory.c,v 1.4 2009/09/02 10:31:08 warme Exp $

	File:	memory.c
	Rev:	a-1
	Date:	12/17/2005

	Copyright (c) 2005, 2009 by David M. Warme.  All rights
	reserved.

************************************************************************

	Stuff for allocating memory.

************************************************************************

	Modification Log:

	a-1:	12/17/2005	warme
		: Created.

************************************************************************/

#include "memory.h"
#include "logic.h"

#include <stddef.h>
#include <stdio.h>
#include <stdlib.h>

extern char *		me;


/*
 * Allocate memory.
 */

	void *
new (

size_t		nbytes
)
{
void *		p;

	if (nbytes <= 0) {
		nbytes = 1;
	}
	p = malloc (nbytes);
	if (p EQ NULL) {
		fprintf (stderr, "%s: Out of memory\n", me);
		exit (1);
	}

	return (p);
}
