/***********************************************************************

	$Id: memory.h,v 1.4 2009/09/02 10:31:08 warme Exp $

	File:	memory.h
	Rev:	a-1
	Date:	12/17/2005

	Copyright (c) 2005, 2009 by David M. Warme.  All rights
	reserved.

************************************************************************

	Stuff for allocating memory.

************************************************************************

	Modification Log:

	a-1:	12/17/2005	warme
		: Created.

************************************************************************/

#ifndef MEMORY_H
#define MEMORY_H

#include <stddef.h>


/* Useful macros. */

#define	NEW(type)	((type *) new (sizeof (type)))
#define	NEWA(n, type)	((type *) new ((size_t) ((n) * sizeof (type))))


extern void *		new (size_t nbytes);

#endif
